---
title: Credits
---

## Python Packages

InvenTree relies on the following Python libraries:

| Library | License | Description |
| --- | --- | --- |
| [Django](https://pypi.org/project/Django/) | BSD | Python web framework |
| [invoke](https://www.pyinvoke.org/) | BSD | Task execution tool |
| [wheel](https://wheel.readthedocs.io/en/stable/) | MIT | Python packaging |
| [pillow](https://pypi.org/project/Pillow/) | HPND | Image manipulation |
| [djangorestframework](https://pypi.org/project/djangorestframework/) | BSD | REST API |
| [django-cors-headers](https://pypi.org/project/django-cors-headers/) | MIT | CORS headers |
| [django-filter](https://pypi.org/project/django-filter/) | BSD | Advanced filtering for REST API |
| [django-mptt](https://pypi.org/project/django-mptt/) | MIT | Modified preorder tree traversal |
| [django-sql-utils](https://pypi.org/project/django-sql-utils/) | MIT | Advanced SQL subqueries |
| [django-markdownx](https://pypi.org/project/django-markdownx/) | BSD | Markdown editor |
| [django-markdownify](https://pypi.org/project/django-markdownify/) | MIT | Markdown template filters |
| [coreapi](https://pypi.org/project/coreapi/) | BSD | API auto documentation |
| [pygments](https://pypi.org/project/Pygments/) | BSD | Syntax highlighting |
| [tablib](https://pypi.org/project/tablib/) | MIT | Data import/export |
| [django-crispy-forms](https://pypi.org/project/django-crispy-forms/) | MIT | Advanced form rendering |
| [django-import-export](https://pypi.org/project/django-import-export/) | BSD | Data import/export in admin interface |
| [django-cleanup](https://pypi.org/project/django-cleanup/) | MIT | Automated cleanup of django media files |
| [rapidfuzz](https://pypi.org/project/rapidfuzz/) | MIT | Fuzzy string matching |
| [django-stdimage](https://pypi.org/project/django-stdimage/) | MIT | Advanced image fields for django |
| [django-weasyprint](https://pypi.org/project/django-weasyprint/) | Apache 2.0 | PDF generation |
| [django-money](https://pypi.org/project/django-money/) | BSD | Currency support |
| [certifi](https://pypi.org/project/certifi/) | MPL 2.0 | Web certification |
| [django-error-report](https://pypi.org/project/django-error-report/) | BSD | Error / excepttion management |
| [django-test-migrations](https://pypi.org/project/django-test-migrations/) | MIT | Unit testing for database migrations |
| [python-barcode](https://pypi.org/project/python-barcode/) | MIT | Barcode support |
| [qrcode](https://pypi.org/project/qrcode/) | BSD | QR code support |
| [django-q](https://pypi.org/project/django-q/) | MIT | Background task manager |
| [gunicorn](https://pypi.org/project/gunicorn/) | MIT | Web server |
| [flake8](https://pypi.org/project/flake8/) | MIT | style checking |
| [pep8-naming](https://pypi.org/project/pep8-naming/) | Expat | name checking |
| [coverage](https://pypi.org/project/coverage/) | Apache-2.0 | coverage checking |
| [coveralls](https://pypi.org/project/coveralls/) | MIT | coverage uploader |
| [django-formtools](https://pypi.org/project/django-formtools/) | MIT | better forms / wizards |
| [django-allauth](https://pypi.org/project/django-allauth/) | MIT | SSO for django |
| [pint](https://pint.readthedocs.io/en/stable/) | [licence](https://github.com/hgrecco/pint/blob/master/LICENSE) | Physical unit conversion |

## Frontend libraries

InvenTree relies on the following frontend libraries and components:

| Name | License | Description |
| --- | --- | --- |
| [Bootstrap](https://github.com/twbs/bootstrap/) | MIT | Frontend framework |
| [jquery](https://github.com/jquery/jquery) | MIT | JS framework |
| [Bootstrap table](https://github.com/wenzhixin/bootstrap-table/) | MIT | Table rendering |
| [Font Awesome - Icons](https://fontawesome.com/) | CC BY 4.0 License | Icons |
| [Font Awesome - Code](https://fontawesome.com/) | MIT | Delivery code for icons |
| [Select2](https://github.com/select2/select2/) | MIT | Searchable selection box |
| [fullcalendar](https://github.com/fullcalendar/fullcalendar/) | MIT | Calendar rendering |
| [chart.js](https://github.com/chartjs/Chart.js) | MIT | charts |
| [Moment JS](https://github.com/moment/momentjs.com/) | MIT | Time and date rendering |
| [jquery-treegrid](https://github.com/maxazan/jquery-treegrid/) | MIT | Treegrid rendering |
| [clipboard.js](https://github.com/zenorocha/clipboard.js) | MIT | text copying |
| [qr-scanner](https://github.com/nimiq/qr-scanner) | MIT | Javascript QR Code Scanner |

## Assets

### Splash Screen

The InvenTree splash screen graphic is sourced from [unsplash.com](https://unsplash.com/photos/Ixvv3YZkd7w) and used under the [unsplash license](https://unsplash.com/license).

## Source Code Contributions

The InvenTree project relies on the expertise and generosity of its [source code contributors](https://github.com/inventree/InvenTree/graphs/contributors).

## Translation Contributions

Translation efforts are supported by the InvenTree community. We appreciate the efforts of our [translation team](https://crowdin.com/project/inventree).
